package down.to.chat.activities;

import down.to.chat.R;
import down.to.chat.neighbor.Neighbor;
import android.app.Activity;
import android.content.Context;
import android.content.Intent;
import android.graphics.Bitmap;
import android.os.Bundle;
import android.view.Window;
import android.widget.ImageView;
import android.widget.Toast;

/**
 * Activity to view a user's image full screen
 * @author Matthew
 *
 */
public class FullViewActivity extends Activity {
	
	public static String FULL_SIZE_IMAGE = "FULL_SIZE_IMAGE";

	@Override
	protected void onCreate(Bundle savedInstanceState) {
		super.onCreate(savedInstanceState);
	    getWindow().requestFeature(Window.FEATURE_ACTION_BAR);
	    getActionBar().hide();
		
		setContentView(R.layout.full_photo_view);
		
		// pull the image and fill the screen
		Intent intent = getIntent();
		Bitmap image = intent.getParcelableExtra(FULL_SIZE_IMAGE);
		ImageView imageView = (ImageView) findViewById(R.id.full_image_view);
		imageView.setImageBitmap(image);
	}
	
	public static void launch(Neighbor neighbor, Context caller ) {
		if( neighbor.getPhoto() != null ) {
			Intent fullViewIntent = new Intent(caller,
					FullViewActivity.class);
			fullViewIntent.putExtra(FullViewActivity.FULL_SIZE_IMAGE, 
					neighbor.getPhoto());
			caller.startActivity(fullViewIntent);
		} else {
			Toast.makeText(caller, "No photo available!", 
					Toast.LENGTH_SHORT).show();
		}
	}
}
