package down.to.chat.enums;


/**
 * Representation of availablity of app user. Maps availability state to color
 * representation.
 * 
 * @author Matthew
 */
public enum Availability {	
	AVAILABLE,
	UNAVAILABLE,
	OFFLINE;
	
	/**
	 * Choose the color for a given availability.
	 * @param avail to choose color for
	 * @return hex color associated with availability
	 */
	public static int getColor(Availability avail) {
		switch( avail ) {
		case AVAILABLE:
			return 0xFF00FF00;
		case UNAVAILABLE:
			return 0xFFFF0000;
		case OFFLINE:
		default:
			return 0xFF606060;
		}
	}
}
