package down.to.chat.fragments;

import android.graphics.Bitmap;
import down.to.chat.enums.Availability;
import down.to.chat.neighbor.Neighbor;
import down.to.chat.user.UserUpdateListener;

/**
 * Base for fragments that represent user data. Contains the user data in a
 * Neighbor object. Listens to the User for updates.
 * 
 * @author Matthew
 *
 */
public abstract class UserFragmentBase extends TransitionalFragment implements
		UserUpdateListener {

	private Neighbor neighbor;
	
	public Neighbor getNeighbor() {	
		return this.neighbor; 
	}
	
	public void setNeighbor(Neighbor neighbor){	
		this.neighbor = neighbor; 
	}
	
	@Override
	public void onAvailabilityUpdate(Availability availability) {
		getNeighbor().setAvailability(availability);
	}
	
	@Override
	public void onNameUpdate(String name) {
		getNeighbor().setName(name);
	}
	
	@Override
	public void onPhotoUpdate(Bitmap photo, Bitmap preview) {
		getNeighbor().setPhoto(photo);
		getNeighbor().setPreview(preview);
	}
}
