package down.to.chat.user;

import android.graphics.Bitmap;
import down.to.chat.enums.Availability;

/**
 * Interface providing hooks into when the User object is updated.
 * 
 * @author Matthew
 *
 */
public interface UserUpdateListener {

	/**
	 * Called whenever user's availability is updated.
	 * @param availability the new availability of the User
	 */
	public void onAvailabilityUpdate(Availability availability);
	
	/**
	 * Called whenever user's name is updated
	 * @param new string set as the name
	 */
	public void onNameUpdate(String name);
	
	/**
	 * Called whenever the user's photo is updated
	 * @param photo Bitmap which is set as the new photo
	 */
	public void onPhotoUpdate( Bitmap photo, Bitmap preview );
}

