package down.to.chat.neighbor;

import down.to.chat.R;
import down.to.chat.enums.Availability;
import android.graphics.Bitmap;
import android.graphics.BitmapFactory;
import android.os.Parcel;
import android.test.AndroidTestCase;

public class NeighborTest extends AndroidTestCase {

	/**
	 * Test that the neighbors parcelling works correctly.
	 */
	public void testCreateFromParcel() {
		Parcel p = Parcel.obtain();
		p.writeString("name-test");
		p.writeString("id-test");
		p.writeString(Availability.AVAILABLE.name());
		Bitmap largeIcon = BitmapFactory.decodeResource(getContext().
				getResources(),	R.drawable.ic_action_user);
		
		p.setDataPosition(0);
		Neighbor test = new Neighbor(p);
		
		Neighbor expected = new Neighbor("name-test", "id-test", 
				Availability.AVAILABLE, largeIcon);
		
		assertEquals(expected.getId(), test.getId());
		assertEquals(expected.getName(), test.getName());
		assertEquals(expected.getAvailability(), test.getAvailability());
		p.recycle();
	}
	
	
	
	/**
	 * Test that neighbors write parcels correctly
	 */
	public void testWriteParcel() {
		Parcel p = Parcel.obtain();
		Bitmap largeIcon = BitmapFactory.decodeResource(getContext().
				getResources(),	R.drawable.ic_action_user);
		Neighbor expected = new Neighbor("name-test", "id-test", 
				Availability.AVAILABLE, largeIcon);
		
		expected.writeToParcel(p, 0);
		
		p.setDataPosition(0);
		assertEquals("name-test", p.readString());
		assertEquals("id-test", p.readString());
		assertEquals(Availability.AVAILABLE.name(), p.readString());
		p.recycle();
	}
}
